----------------技能---------------
function KanpaSkill_Fishing()
    TUR()MSG("*Fishing*")W99()
end

function KanpaSkill_Fishing_Check()
    if(GOP() == 1) then
        KEY()MSG("Can be used when standing on")
        CAT("\nground near water,")NOD()
        CAT("\ncontrol the hook as it falls")
        CAT("\ninto the water,")NOD()
        CAT("\nand when it touches a fish,")NOD()
        CAT("\na successful catch will reel it in.")NOD()W99()
    else
        KEY()MSG("Can be used when standing on")
        CAT("\nground near water,")NOD()
        CAT("\ncontrol the hook as it falls")
        CAT("\ninto the water,")NOD()
        CAT("\nand when it touches a fish,")NOD()
        CAT("\na successful catch will")
        CAT("\nreel it in.")NOD()W99()
    end
end

function KanpaSkill_GrapplingHook()
    TUR()MSG("*Grappling Hook*")W99()
end

function KanpaSkill_GrapplingHook_Check()
    if(GOP() == 1) then
        KEY()MSG("Throws a grappling hook upward,")NOD()
        CAT("\nAfter the hook hits a wall")
        CAT("\nyou can control movement up and down.")NOD()W99()
    else
        KEY()MSG("Throws a grappling hook upward,")NOD()
        CAT("\nAfter the hook hits a wall")
        CAT("\nyou can control movement")
        CAT("\nup and down.")NOD()W99()
    end
end

function JackSkill_Catcher()
    TUR()MSG("*Fire Capture Bubble*")W99()
end

function JackSkill_Catcher_Check()
    if(GOP() == 1) then
        KEY()MSG("When the capture bubble touches an enemy")
        CAT("\nit neutralizes their attacks")
        CAT("\nand immobilizes them on the ground.")NOD()
        CAT("\nWhen energy is high enough")
        CAT("\nyou'll fire a capture cross bomb")NOD()
        CAT("\nthat can capture all enemies within")
        CAT("\nits blast radius.")NOD()
    else
        KEY()MSG("When the capture bubble")
        CAT("\ntouches an enemy")NOD()
        CAT("\nit neutralizes their attacks")
        CAT("\nand immobilizes them")
        CAT("\non the ground.")NOD()
        CAT("\nWhen energy is high enough")NOD()
        CAT("\nyou'll fire a capture") 
        CAT("\ncross bomb")NOD()
        CAT("\nthat can capture all")
        CAT("\nenemies within")
        CAT("\nits blast radius.")NOD()
    end
end

function SantaSkill_GhostFire()
    TUR()MSG("*Fire Ghost Fireball*")W99()
end

function SantaSkill_GhostFire_Check()
    if(GOP() == 1) then
        KEY()MSG("When ghost fireballs touch enemies")
        CAT("\nthey split into 4 smaller entities")NOD()
        CAT("\ncreating a large area of attack")
        CAT("\nand illumination.")NOD()
        CAT("\nApart from disappearing in water")
        CAT("\nthey can easily defeat groups of enemies.")NOD()
    else
        KEY()MSG("When ghost fireballs")
        CAT("\ntouch enemies")NOD()
        CAT("\nthey split into 4") 
        CAT("\nsmaller entities")NOD()
        CAT("\ncreating a large area")
        CAT("\nof attack and illumination.")NOD()
        CAT("\nApart from disappearing")
        CAT("\nin water they can easily")
        CAT("\ndefeat groups of enemies.")NOD()
    end
end

function KingSkill_Guard()
    TUR()MSG("*Guard*")W99()
end

function KingSkill_Guard_Check()
    KEY()MSG("Raise your sword to block")
    CAT("\nattacks from the front.")NOD()
end

function KingSkill_LifeUp()
    TUR()MSG("*Heal*")W99()
end

function KingSkill_LifeUp_Check()
    KEY()MSG("Convert 10% of energy")
    CAT("\ninto 10% health.")NOD()
end

function KingSkill_SwordV2()
    TUR()MSG("*Sword Level 2 *")W99()
end

function KingSkill_SwordV2_Check()
    KEY()MSG("\nSlash enemies at close range.")NOD()
end

function KingSkill_SwordV3()
    TUR()MSG("*Sword Level 3 *")W99()
end

function KingSkill_SwordV3_Check()
    KEY()MSG("\nStrike groups of enemies.")NOD()
end

function QuoteSkill_Spur()
    TUR()MSG("*SPUR*")W99()
end

function QuoteSkill_Spur_Check()
    KEY()MSG("\nSwitched to Spur weapon.")NOD()
end

function QuoteSkill_SuperMissile()
    TUR()MSG("*SUPER MISSILE*")W99()
end

function QuoteSkill_SuperMissile_Check()
    KEY()MSG("\nSwitched to Super Missile.")NOD()
end

function QuoteSkill_Lock()
    TUR()MSG("*DIRECTION LOCK*")W99()
end

function QuoteSkill_Lock_Check()
    KEY()MSG("When locked,")
    CAT("\nyou'll face that direction") 
    CAT("\nno matter how you move.")NOD()
end

function CurlySkill_MachineGun()
    TUR()MSG("*MACHINE GUN*")W99()
end

function CurlySkill_MachineGun_Check()
    KEY()MSG("\nSwitched to Machine Gun.")NOD()
end

function CurlySkill_Nemesis()
    TUR()MSG("*NEMESIS*")W99()
end

function CurlySkill_Nemesis_Check()
    KEY()MSG("\nSwitched to Nemesis.")NOD()
end

function CurlySkill_EnergyShield()
    TUR()MSG("*MISSILE SHIELD*")W99()
end

function CurlySkill_EnergyShield_Check()
    if(GOP() == 1) then
        KEY()MSG("With Missile Shield activated,")
        CAT("\nCurly becomes immune to attacks") 
        CAT("\nand water currents,")NOD()
        CAT("\nthe shield slowly consumes energy,")NOD()
        CAT("\nand will automatically deactivate") 
        CAT("\nwhen energy is depleted.")NOD()
    else
        KEY()MSG("With Missile Shield") 
        CAT("\nactivated,")NOD()
        CAT("\nCurly becomes immune to") 
        CAT("\nattacks and water currents,")NOD()
        CAT("\nthe shield slowly") 
        CAT("\nconsumes energy,")NOD()
        CAT("\nand will automatically")
        CAT("\ndeactivate when energy") 
        CAT("\nis depleted.")NOD()
    end
end